/*****************************************************
Project : Povorot
Version : 1.0
Date    : 13.05.2013
Chip type               : ATtiny45
AVR Core Clock frequency: 8,0 MHz
*****************************************************/

#include <tiny85.h>
#include <delay.h>
// Declare your global variables here

void main(void)
{
// Crystal Oscillator division factor: 1
#pragma optsize-
CLKPR=0x80;
CLKPR=0x00;
#ifdef _OPTIMIZE_SIZE_
#pragma optsize+
#endif

// Port B initialization
PORTB=0x00;               // State5=T State4=0 State3=0 State2=T State1=T State0=T 
DDRB=0x09;                // Func5=In Func4=In Func3=Out Func2=In Func1=In Func0=Out


while (1)
    {
      if (PINB.1==0)
        {
        delay_us(300);
        if (PINB.1==0)
            {
            PORTB.0=1;
            delay_ms(2000);
            PORTB.0=0;
            delay_ms(100);
            while(PINB.1==0)
                {
                delay_ms(100);
                }
            delay_ms(700);    
            }
        }
       if (PINB.2==0)
        {
        delay_us(300);
        if (PINB.2==0)
            {
            PORTB.3=1;
            delay_ms(2000);
            PORTB.3=0;
            delay_ms(100);
            while(PINB.2==0)
                {
                delay_ms(100);
                }
            delay_ms(700);    
            }  
        }
    }  
}
